package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.TestingServer;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettingsCommand.SapforSettingsCommand;
import Visual_DVM_2021.Passes.Server.PublishServerObject;
public class PublishSapforSettingsCommand extends PublishServerObject<TestingServer, SapforSettingsCommand> {
    public PublishSapforSettingsCommand() {
        super(Global.testingServer, SapforSettingsCommand.class);
    }
    @Override
    public boolean fillObjectFields() throws Exception {
        target.sapforsettings_id = Global.mainModule.getSapforSettings().id;
        return super.fillObjectFields();
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return Global.mainModule.Check(Log, Current.SapforSettings)&&super.canStart(args);
    }
}
